Bug 165436 - ntptrace requires "ntp control" support
ntptrace requires "ntp control" support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Raszyk
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 06:47 EDT by Pim Zandbergen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 10:32:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pim Zandbergen 2005-08-09 06:47:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
ntptrace can only query hosts that support "ntp control".
It is recommended, but not required for ntp implementations
to implement "ntp control". Most notably, the "w32 time service"
in Windows 2000/2003 Server does not support "ntp control".

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-8

How reproducible:
Always

Steps to Reproduce:
1. ntptrace <host running windows 2003 server>
2.
3.
  

Actual Results:  an error message is shown:
<hostname>: timed out, nothing received

Expected Results:  ntptrace should have shown the host's ntp status

Additional info:

Previous ntp distributions contained a version
of ntptrace that was written as a C program.
This program is able to succesfully query Windows Servers.
Comment 1 Petr Raszyk 2005-11-10 10:32:30 EST
You are right. In (for instance FEDORA CORE 1) 'ntptrace' is an 'executable.
This executable assumes only AF_INET (== ipv4). It is possible that it can
help you with your issue.
RedHat does not support all OS. 
Windows 2003 server is for free-software-community a 'black box'. We do not have
a possibility to modify 'Windows 2003 server'.
You should report your issue at https://ntp.isc.org/bugs/index.cgi
(They support 'ntpd' package in MS Windows, VMS, UNIX, ...).


Note You need to log in before you can comment on or make changes to this bug.